<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body>
    <div class="container">
        <div class="row mt-5">
            <div class="col-sm-12 text-center">
                <h1>Country-Region</h1>
            </div>
        </div>
        <div class="row mt-3">
            <div class="col-sm-2 text-right">
                <label for="">Country</label>

            </div>
            <div class="col-sm-4">
                <select name="" id="select-country" class="form-control"></select>
            </div>
            <div class="col-sm-2 text-right">
                <label for="">Region</label>

            </div>
            <div class="col-sm-4">
                <select name="" id="select-region" class="form-control" disabled></select>
            </div>
        </div>
    </div>


</body>
<script>
    "user strict"
    // ***Region1
    var gDataAll = [];
    // ***Region2
    $(document).ready(function () {
        onLoadCountry();
        $("#select-country").on("change", function () {
            onLoadDataSelectRegion();
        })
    })
    // ***Region3
    function onLoadCountry() {
        $.ajax({
            url: "http://localhost:8080/api/countrys",
            type: "GET",
            success: function (paramRes) {
                gDataAll = paramRes;
                onLoadDataSelectCuntry(paramRes);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }

        })
    }
    // ***Region4
    function onLoadDataSelectCuntry(paramRes) {
        for (var i = 0; i < paramRes.length; i++) {
            $("#select-country").append($("<option>", {
                value: paramRes[i].countryCode,
                text: paramRes[i].countryName
            }))
        }

    }
    function onLoadDataSelectRegion() {
        console.log(gDataAll);
        var vIndexCND = 0;
        var vIndexVN = 0;
        var vIndexUSA = 0;
        $("#select-region").prop("disabled", false);
        for (var i = 0; i < gDataAll.length; i++) {
            if (gDataAll[i].countryCode == "CND") {
                vIndexCND = i;
            }
            else if (gDataAll[i].countryCode == "VN") {
                vIndexVN = i;

            }
            else if (gDataAll[i].countryCode == "USA") {
                vIndexUSA = i;
            }
        }
        if ($("#select-country").val() == "VN") {

            for (var i = 0; i < gDataAll[vIndexVN].regions.length; i++) {
                $("#select-region").append($("<option>", {
                    value: gDataAll[vIndexVN].regions[i].regionCode,
                    text: gDataAll[vIndexVN].regions[i].regionName
                }))
            }

        }
        else if ($("#select-country").val() == "USA") {

            for (var i = 0; i < gDataAll[vIndexVN].regions.length; i++) {
                $("#select-region").append($("<option>", {
                    value: gDataAll[vIndexUSA].regions[i].regionCode,
                    text: gDataAll[vIndexUSA].regions[i].regionName
                }))
            }

        }
    }
</script>

</html>